Package wx :: Package lib :: Package analogclock :: Module helpers

[frames | no frames]

## Module wx.lib.analogclock.helpers

Classes
`Box` | Gathers info about the clock face and tick sets.
`Dyer` | Stores info about colours and borders of clock Elements.
`Element` | Base class for face, hands and tick marks.
`ElementWithDyer` | Base class for clock face and hands.
`Face` | Holds info about the clock face.
`Hand` | Holds info about a clock hand.
`HandSet` | Manages the set of hands.
`TickBinary` | Holds info about a tick mark.
`TickCircle` | Holds info about a tick mark.
`TickDecimal` | Holds info about a tick mark.
`TickHex` | Holds info about a tick mark.
`TickNone` | Holds info about a tick mark.
`TickPoly` | Holds info about a tick mark.
`TickRoman` | Holds info about a tick mark.
`TickSet` | Manages a set of tick marks.
`TickSquare` | Holds info about a tick mark.

Variable Summary
`dict` | `allTickStyles` = `{64: <class wx.lib.analogclock.helpers.T...`

Variable Details

### allTickStyles

  Type:
    `dict`
  Value:

        {1: <class wx.lib.analogclock.helpers.TickNone at 0xb786bc2c>,
         2: <class wx.lib.analogclock.helpers.TickSquare at 0xb786badc>,
         4: <class wx.lib.analogclock.helpers.TickCircle at 0xb786bb0c>,
         8: <class wx.lib.analogclock.helpers.TickPoly at 0xb786bb3c>,
         16: <class wx.lib.analogclock.helpers.TickDecimal at 0xb786bb6c>,
         32: <class wx.lib.analogclock.helpers.TickRoman at 0xb786bb9c>,
         64: <class wx.lib.analogclock.helpers.TickBinary at 0xb786bbcc>,
         128: <class wx.lib.analogclock.helpers.TickHex at 0xb786bbfc>}

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:07 2007 | http://epydoc.sf.net